Name:           octave-forge
Version:        2006.07.09
Release:        7%{?dist}
Summary:        Contributed functions for octave

Group:          Applications/Engineering
License:        Public Domain
URL:            http://octave.sourceforge.net
## Source0:        http://umn.dl.sourceforge.net/sourceforge/octave/%{name}-%{version}.tar.gz
## The original sources contain a non-free tree of functions that are
## GPL incompatible. A patched version with the non-free sources removed
## is created as follows:
## tar xzf octave-forge-%{version}.tar.gz
## rm -Rf octave-forge-%{version}/nonfree/
## tar czf octave-forge-%{version}.patched.tar.gz octave-forge-%{version}
## rm -Rf octave-forge-%{version}
Source0:        %{name}-%{version}.patched.tar.gz
Patch0:         octave-forge-2006.07.09-legend.patch
Patch1:         octave-forge-2006.07.09-imread.patch
Patch2:         octave-forge-2006.07.09-path.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:	octave >= 2.9.8 ImageMagick
BuildRequires:  octave-devel tetex gcc-gfortran ginac-devel qhull-devel
BuildRequires:  ImageMagick-c++-devel libnc-dap-devel pcre-devel gsl-devel
BuildRequires:  libjpeg-devel libpng-devel ncurses-devel libtermcap-devel

%description
Octave-forge is a community project for collaborative development of
octave extensions. The extensions in this package include additional
data types such as sparse matrices, and functions for a variety of
different applications including signal and image processing,
communications, control, optimization, statistics, geometry, and
symbolic math.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0
# For octave >= 2.9.7, don't install the mex stuff or path stuff
touch extra/mex/NOINSTALL
touch main/path/NOINSTALL

%build
ALTMPATHNAME=%{_datadir}/octave/site/octave-forge-alternatives/m/octave-forge
XPATHNAME=`octave-config -p LOCALARCHLIBDIR`/octave-forge
%configure --with-altmpath=$ALTMPATHNAME --with-xpath=$XPATHNAME
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
ALTPATHNAME=octave/site/octave-forge-alternatives
HOSTTYPE=`octave-config -p CANONICAL_HOST_TYPE`
%makeinstall \
  MPATH=$RPM_BUILD_ROOT`octave-config -p LOCALFCNFILEDIR`/octave-forge \
  OPATH=$RPM_BUILD_ROOT`octave-config -p LOCALAPIOCTFILEDIR`/octave-forge \
  XPATH=$RPM_BUILD_ROOT`octave-config -p LOCALARCHLIBDIR`/octave-forge \
  ALTPATH=$RPM_BUILD_ROOT%{_datadir}/$ALTPATHNAME/m \
  ALTMPATH=$RPM_BUILD_ROOT%{_datadir}/$ALTPATHNAME/m/octave-forge \
  ALTOPATH=$RPM_BUILD_ROOT%{_libexecdir}/$ALTPATHNAME/oct/$HOSTTYPE

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING* README RELEASE-NOTES TODO
%doc doc/*.html doc/coda/*.sgml doc/coda/appendices/*.sgml
%doc doc/coda/oct/*.sgml doc/coda/standalone/*.sgml
%{_datadir}/octave/*
%{_libexecdir}/octave/*


%changelog
* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 2006.07.09-7
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Sat Sep 23 2006 Quentin Spencer <qspencer@users.sf.net> 2006.07.09-6
- Rebuild for updated libdap.

* Fri Sep 15 2006 Quentin Spencer <qspencer@users.sf.net> 2006.07.09-5
- Rebuild for FC6.

* Fri Aug 25 2006 Quentin Spencer <qspencer@users.sf.net> 2006.07.09-4
- New build for octave 2.9.8.
- Patch bug in imread.m
- Patch LOADPATH bug.
- Fix configure command so that m files containing paths are
  correctly generated.

* Tue Jul 11 2006 Quentin Spencer <qspencer@users.sf.net> 2006.07.09-3
- New build for octave 2.9.7.
- Disable mex related functions (they are in octave now).

* Tue Jul 11 2006 Quentin Spencer <qspencer@users.sf.net> 2006.07.09-2
- Patch legend.m.

* Mon Jul 10 2006 Quentin Spencer <qspencer@users.sf.net> 2006.07.09-1
- New release. Old patches and associated specfile cruft removed.

* Wed May  3 2006 Quentin Spencer <qspencer@users.sf.net> 2006.03.17-4
- Bug fix for #190481

* Thu Apr 27 2006 Quentin Spencer <qspencer@users.sf.net> 2006.03.17-3
- Add fixes for octcdf (from the author), which changes the dependency
  from netcdf to libnc-dap. (This requires autoconf temporarily.)

* Wed Apr 19 2006 Quentin Spencer <qspencer@users.sf.net> 2006.03.17-2
- New release for octave 2.9.5.
- Patch added for incompatibilities between octave 2.9.4 and 2.9.5.

* Fri Mar 17 2006 Quentin Spencer <qspencer@users.sf.net> 2006.03.17-1
- New release. Remove old patches.

* Sat Feb 18 2006 Quentin Spencer <qspencer@users.sf.net> 2006.01.28-5
- Amend patch0 to correctly deal with 64-bit indexing.

* Thu Feb 16 2006 Quentin Spencer <qspencer@users.sf.net> 2006.01.28-4
- Patch the fixed point code so that g++ 4.1 compiles it.

* Fri Feb  3 2006 Quentin Spencer <qspencer@users.sf.net> 2006.01.28-3
- Fix permissions on octlink.sh and add more to the patch.

* Fri Feb  3 2006 Quentin Spencer <qspencer@users.sf.net> 2006.01.28-2
- Add new build dependencies on ImageMagick-c++-devel and netcdf-devel.
  (The ImageMagick-c++-devel indirectly brings in the necessary
  modular X devel modules, such as libXt-devel and others).
- Define CPPFLAGS so it finds the netcdf headers.

* Fri Feb  3 2006 Quentin Spencer <qspencer@users.sf.net> 2006.01.28-1
- New upstream release.
- Patch so it will build correctly with octave 2.9.x.
- Change installation paths so they now depend on the octave API version
  rather than the octave version, which will make updates less frequent.

* Wed Nov  2 2005 Quentin Spencer <qspencer@users.sf.net> 2005.06.13-5
- Rebuild for new versions of ginac and cln.
- Query octave to get octave version dependency.

* Wed Aug  3 2005 Quentin Spencer <qspencer@users.sf.net> 2005.06.13-4
- Hardcode the octave version dependency. Using rpm to query for this
  information was producing wrong results on the new build system.

* Wed Aug  3 2005 Quentin Spencer <qspencer@users.sf.net> 2005.06.13-3
- Remove some BuildRequires that are now dependencies of octave-devel.

* Tue Aug  2 2005 Quentin Spencer <qspencer@users.sf.net> 2005.06.13-2
- Change GiNaC-devel to ginac-devel to reflect package name change.

* Fri Jun 17 2005 Quentin Spencer <qspencer@users.sf.net> 2005.06.13-1
- New upstream release. Now requires pcre-devel to build.
- Corrected instructions on creating patched source tarball.
- Remove explicit BuildRequires for c++ compiler and libs
  (not needed and causes build failure in the build system for x86_64).
- Add patch for problem with main/plot/legend.m
- Add fftw3-devel to BuildRequires.

* Sat Jun 11 2005 Quentin Spencer <qspencer@users.sf.net> 2004.11.16-7
- Cleanup of unneeded things in build section

* Mon Apr 25 2005 Quentin Spencer <qspencer@users.sf.net> 2004.11.16-7
- Changed license (some functions are GPL, BSD, and public domain,
  so the collection is licensed as public domain).
- Moved ugly path hacks from build to install so that RPM_BUILD_ROOT
  doesn't end up in the code (which it did before).
- Replaced upstream tarball with patched version that removed GPL
  incompatible code.

* Thu Apr 21 2005 Quentin Spencer <qspencer@users.sf.net> 2004.11.16-6
- Added GiNaC-devel BuildRequires

* Tue Mar 29 2005 Quentin Spencer <qspencer@users.sf.net> 2004.11.16-5
- Rebuild for octave-2.1.69

* Mon Mar 28 2005 Quentin Spencer <qspencer@users.sf.net> 2004.11.16-4
- Rebuild for octave-2.1.68

* Thu Feb 24 2005 Quentin Spencer <qspencer@users.sf.net> 2004.11.16-3
- Updated spec file to get octave version at build time.

* Wed Nov 17 2004 Quentin Spencer <qspencer@users.sf.net> 2004.11.16-2
- Revised package description.

* Tue Jun 15 2004 Quentin Spencer <qspencer@users.sf.net>
- Added qhull support.

* Tue Feb  4 2003 Quentin Spencer <qspencer@users.sf.net>
- First Version, loosely based on Red Hat's spec file for octave.
